﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Xna.Framework;

namespace DBParameterEditor
{
    public partial class ParameterControl : UserControl
    {
        protected System.Reflection.FieldInfo m_field;
        protected object m_data;

        public ParameterControl()
        {
            InitializeComponent();
        }

        public virtual void UpdateValue()
        {
        }

        static public ParameterControl CreateParameterControl(
            System.Reflection.FieldInfo field, object data)
        {
            ParameterControl parameterControl = null;

            if (field.FieldType == typeof(float))
            {
                parameterControl = new TextBoxParameterControl();
            }
            else if (field.FieldType == typeof(Vector2))
            {
                parameterControl = new TextBoxParameterControl();
            }
            else
            {
                parameterControl = new TextBoxParameterControl();
            }
            parameterControl.m_data = data;
            parameterControl.m_field = field;
            parameterControl.UpdateValue();
            parameterControl.typeLabel.Text = field.FieldType.Name;
            parameterControl.nameLabel.Text = field.Name;
            return parameterControl;
        }
    }
}
