﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Xna.Framework;

namespace DBParameterEditor
{
    public partial class TextBoxParameterControl : ParameterControl
    {
        public TextBoxParameterControl() :  base()
        {
            InitializeComponent();
        }

        public override void UpdateValue()
        {
            textBox.Text = ParameterProcessor.Instance.FieldToString(m_field, m_data);
            if ((m_field.FieldType == typeof(float))
                || (m_field.FieldType == typeof(Vector2))
                || (m_field.FieldType == typeof(int)))
            {
                textBox.OnlyNumbers = true;
            }
            this.Invalidate();
        }

        public void SetText(string dataString)
        {
            textBox.Text = dataString;
        }

        private void textBox_TextCancel(object sender, EventArgs e)
        {
            UpdateValue();
        }

        private void textBox_TextEnter(object sender, EventArgs e)
        {
            ParameterProcessor.Instance.StringToFieldValue(m_field, m_data, textBox.Text);
        }
    }
}
